Name:           ktls-utils
Version:        0.7.1
Release:        1%{?dist}
Summary:        TLS Handshake agent for kernel sockets

License:        GPLv2
URL:            https://github.com/oracle/ktls-utils
Source0:        https://github.com/oracle/ktls-utils/releases/download/ktls-utils-%{version}/ktls-utils-%{version}.tar.gz

BuildRequires:  gcc make gnutls-devel libnl3 systemd-rpm-macros

%description
In-kernel TLS consumers need a mechanism to perform TLS handshakes
on a connected socket to negotiate TLS session parameters that can
then be programmed into the kernel's TLS record protocol engine.

This package of software provides a TLS handshake user agent that
listens for kernel requests and then materializes a user space
socket endpoint on which to perform these handshakes. The resulting
negotiated session parameters are passed back to the kernel via
standard kTLS socket options.


%prep
%autosetup -p1

%build
./autogen.sh
%configure --with-systemd
%make_build


%install
%make_install


%files
%{_sysconfdir}/tlshd.conf
%{_sbindir}/tlshd
%{_mandir}/man5/tlshd.conf.5.gz
%{_mandir}/man8/tlshd.8.gz
%{_unitdir}/tlshd.service
%license COPYING
%doc README.md
%doc SECURITY.md

%post
%systemd_post tlshd.service

%preun
%systemd_preun tlshd.service

%postun
%systemd_postun_with_restart tlshd.service

%changelog
* Mon Mar 27 2023 Jeffrey Layton <jlayton@redhat.com> - 0.7.1
- Initial package release
